% -------------------------------------------------------------------------
% Replication of Figures D1 and D2
% Alloza, Gonzalo and Sanz (2024): Dynamic Effects of Persistent Shocks
% -------------------------------------------------------------------------

clear
close all
clc
dat = xlsread('Fig_D1_data.xlsx'); 

SAVE = 1;
navyblue = [19,30,66]/255;

% Cloyne (2013)
YY=dat(:,1);
Fig_D1_do_correlograms
if SAVE  == 1
print('-depsc2','Figure D1a')
end
figure
hold on
box on
plot([1948:0.25:2009.75]',YY(1:248),'Color',navyblue,'Linewidth',2);
hold on
ylabel('percent')
xlabel('date')
hline(0,'k-');
axis([1955 2010 -1.5 2]);
hold off
if SAVE  == 1
print('-depsc2','Figure D2a')
end

% Cloyne and Hürtgen (2016)
YY=dat(:,2);
fraction=1/12;
Fig_D1_do_correlograms
if SAVE  == 1
print('-depsc2','Figure D1b')
end
figure
hold on
box on
plot(1975:fraction:2008-fraction,YY(1:396),'Color',navyblue,'Linewidth',2);
hold on
ylabel('percent')
xlabel('date')
hline(0,'k-');
axis([1975 2008-fraction -2 3]);
hold off
if SAVE  == 1
print('-depsc2','Figure D2b')
end

% Gertler Karadi (2015)
YY=dat(:,3);
end_date=2012+fraction*5;
Fig_D1_do_correlograms
if SAVE  == 1
print('-depsc2','Figure D1c')
end
figure
hold on
box on
plot(1990:fraction:end_date,YY(1:270),'Color',navyblue,'Linewidth',2);
hold on
ylabel('percent')
xlabel('date')
hline(0,'k-');
axis([1990 2012.6 -0.3 0.1]);
hold off
if SAVE  == 1
print('-depsc2','Figure D2c')
end

% Ramey Zubairy (2018)
YY=dat(:,4);
Fig_D1_do_correlograms
if SAVE  == 1
print('-depsc2','Figure D1d')
end
figure
hold on
box on
plot(1889.75:0.25:2015.75,YY,'Color',navyblue,'Linewidth',2);
hold on
ylabel('percent')
xlabel('date')
hline(0,'k-');
axis([1889 2016 -0.25 0.7]);
hold off
if SAVE  == 1
print('-depsc2','Figure D2d')
end


% Romer and Romer (2004)
YY=dat(:,5);
start_date=1969+fraction;
end_date=1996+fraction*10;
Fig_D1_do_correlograms
if SAVE  == 1
print('-depsc2','Figure D1e')
end
figure
hold on
box on
plot(start_date:fraction:end_date,YY(1:334),'Color',navyblue,'Linewidth',2);
hold on
ylabel('percent')
xlabel('date')
hline(0,'k-');
axis([1969 1997 -3.5 2]);
hold off
if SAVE  == 1
print('-depsc2','Figure D2e')
end


% Romer and Romer (2010)
YY=dat(:,6);
Fig_D1_do_correlograms
if SAVE  == 1
print('-depsc2','Figure D1f')
end
figure
hold on
box on
plot(1945:0.25:2007.75,YY(1:252),'Color',navyblue,'Linewidth',2);
hold on
ylabel('percent')
xlabel('date')
hline(0,'k-');
axis([1945 2008 -2 1]);
hold off
if SAVE  == 1
print('-depsc2','Figure D2f')
end

