/*****************************************************************************
				Replicating Table 1 and Table D1 from 
	Alloza, Gonzalo and Sanz (2024): Dynamic Effects of Persistent Shocks
	
	This programs requires installing the command "actest"
	Please sun "ssc install actest" in the command window
*****************************************************************************/

cd "/type/your/path/here"

set more off
import excel "Fig_D1_data.xlsx", clear firstrow
gen t=_n
tsset t

* Cloyne (2013)
* Table 1: row 2 --------------------------------------------------------------
wntestq C2013

*Table D1: row 2 --------------------------------------------------------------
wntestq C2013, lags(5)
wntestq C2013, lags(10)
wntestq C2013, lags(20)
wntestq C2013, lags(40)
wntestq C2013, lags(60)

* Cloyne and Hürtgen (2016)
* Table 1: row 3 --------------------------------------------------------------
wntestq CH2016

*Table D1: row 3 --------------------------------------------------------------
wntestq CH2016, lags(5)
wntestq CH2016, lags(10)
wntestq CH2016, lags(20)
wntestq CH2016, lags(40)
wntestq CH2016, lags(60)

*Gertler and Karadi (2015)
* Table 1: row 4 --------------------------------------------------------------
wntestq GK2015

*Table D1: row 4 --------------------------------------------------------------
wntestq GK2015, lags(5)
wntestq GK2015, lags(10)
wntestq GK2015, lags(20)
wntestq GK2015, lags(40)
wntestq GK2015, lags(60)

* Ramey and Zubairy (2018)
* Table 1: row 6 --------------------------------------------------------------
wntestq RZ2018

*Table D1: row 6 --------------------------------------------------------------
wntestq RZ2018, lags(5)
wntestq RZ2018, lags(10)
wntestq RZ2018, lags(20)
wntestq RZ2018, lags(40)
wntestq RZ2018, lags(60)

* Romer and Romer (2004)
* Table 1: row 7 --------------------------------------------------------------
wntestq RR2004

*Table D1: row 7 --------------------------------------------------------------
wntestq RR2004, lags(5)
wntestq RR2004, lags(10)
wntestq RR2004, lags(20)
wntestq RR2004, lags(40)
wntestq RR2004, lags(60)

* Romer and Romer (2010)
* Table 1: row 8 --------------------------------------------------------------
wntestq RR2010

*Table D1: row 8 --------------------------------------------------------------
wntestq RR2010, lags(5)
wntestq RR2010, lags(10)
wntestq RR2010, lags(20)
wntestq RR2010, lags(40)
wntestq RR2010, lags(60)

* Arezki, Ramey and Sheng (2017)
use ARSdata.dta, clear
gen ARS = sizerealistic
* Table 1: row 1 --------------------------------------------------------------
actest ARS, lags(40) bp small

*Table D1: row 1 --------------------------------------------------------------
actest ARS, lags(5) bp small
actest ARS, lags(10) bp small
actest ARS, lags(20) bp small
actest ARS, lags(40) bp small
actest ARS, lags(60) bp small

* Guajardo, Leigh and Pescatori (2014)
use GLPdata, clear
xtset ifscode year
gen GLP = size
* Table 1: row 5 --------------------------------------------------------------
actest GLP, lags(40) bp small

*Table D1: row 5 --------------------------------------------------------------
actest GLP, lags(5) bp small
actest GLP, lags(10) bp small
actest GLP, lags(20) bp small
actest GLP, lags(40) bp small
actest GLP, lags(60) bp small
